# Generated from metric_fu-3.0.0.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name metric_fu
%global rubyabi 1.9.1

Summary: A fistful of code metrics, with awesome templates and graphs
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 3.0.0
Release: 1%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: https://github.com/ManageIQ/metric_fu 
Source0: %{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
Requires: %{?scl_prefix}rubygem(flay) >= 1.2.1
Requires: %{?scl_prefix}rubygem(flog) => 3.2.2
Requires: %{?scl_prefix}rubygem(flog) < 3.3
Requires: %{?scl_prefix}rubygem(simplecov-rcov) >= 0.2.3
Requires: %{?scl_prefix}rubygem(reek) >= 1.2.6
Requires: %{?scl_prefix}rubygem(roodi) >= 2.1.0
Requires: %{?scl_prefix}rubygem(rails_best_practices) >= 0.6.4
Requires: %{?scl_prefix}rubygem(chronic) => 0.3.0
Requires: %{?scl_prefix}rubygem(chronic) < 0.4
Requires: %{?scl_prefix}rubygem(churn) >= 0.0.7
Requires: %{?scl_prefix}rubygem(japgolly-Saikuro) >= 1.1.1.0
Requires: %{?scl_prefix}rubygem(activesupport) >= 2.0.0
Requires: %{?scl_prefix}rubygem(fattr) >= 2.2.0
Requires: %{?scl_prefix}rubygem(arrayfields) >= 4.7.4
Requires: %{?scl_prefix}rubygem(map) >= 4.3.0
Requires: %{?scl_prefix}rubygem(syntax) >= 1.0.0
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Code metrics from Flog, Flay, RCov, Saikuro, Churn, Reek, Roodi, Rails' stats
task and Rails Best Practices


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/





%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%{gem_instdir}/tasks

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/HISTORY
%doc %{gem_instdir}/MIT-LICENSE
%doc %{gem_instdir}/README
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/TODO
%doc %{gem_instdir}/spec

%changelog
* Thu May 02 2013 Steve Linabery <slinaber@redhat.com> - 3.0.0-1
- Initial package
- gem built from https://github.com/ManageIQ/metric_fu/tree/v3.0.0-1
